
display: ":0"
xauthority: "~/.Xauthority"
minikube: true

global:
  minikube: true
  use_aws: false
  aws_url: https://k8s-services.skao.int
  tango_host: databaseds-tango-base-test:10000
  operator: true
  sub-system:
    ska-tango-base:
      enabled: false
    archiver:
      enabled: false
  annotations:
    app.gitlab.com/app: taranta
    app.gitlab.com/env: taranta
  dsconfig:
    image:
      registry: artefact.skao.int
      image: ska-tango-images-tango-dsconfig
      tag: 1.5.1
      pullPolicy: IfNotPresent
  itango:
    image:
      registry: artefact.skao.int
      image: ska-tango-images-tango-itango
      tag: 9.3.6
      pullPolicy: IfNotPresent

ska-tango-taranta:
  enabled: true
  TANGO_DBS: []
  ingress:
    enabled: true
    nginx: true

ska-tango-tangogql-ariadne:
  enabled: true
  ska-tango-base:
    enabled: true
  ska-tango-examples:
    enabled: true

ska-tango-taranta-dashboard:
  enabled: true
  ingress:
    enabled: true
    nginx: true

ska-tango-taranta-auth:
  enabled: true
  ingress:
    enabled: true
    nginx: true

ska-tango-examples:
  enabled: true

  tango_example:
    image:
      registry: harbor.skao.int/production
      image: ska-tango-examples
      tag: 0.5.0
      pullPolicy: IfNotPresent

  ska-tango-base:
    enabled: false

  deviceServers:
    enabled: true
    servers:
      motor:
        enabled: false
        file: "data/beginner/motor.yaml"

      powersupply:
        enabled: false
        file: "data/beginner/powersupply.yaml"

      timer:
        enabled: false
        file: "data/beginner/timer.yaml"

      theexample:
        enabled: false
        polling: 1000
        file: "data/intermediate/theexample.yaml"

      tabata:
        enabled: false
        polling: 1000
        file: "data/intermediate/tabata.yaml"

      eventreceiver:
        enabled: false
        file: "data/intermediate/eventreceiver.yaml"

      tarantatestdevice:
        enabled: true

      asynctabata:
        enabled: false
        polling: 1000
        file: "data/expert/asynctabata.yaml"

      forattrtabata:
        enabled: false
        file: "data/expert/forattrtabata.yaml"

      longrunning:
        enabled: false

alarm_handler:
  image:
    registry: artefact.skao.int
    image: ska-tango-alarmhandler
    tag: 0.4.1
    pullPolicy: IfNotPresent

deviceServers:
- name: alarm-handler
  function: alarm-handler-service
  domain: ska-tango-alarm-handler
  command: "alarm-handler-srv"
  instances: ["01"]
  depends_on: 
  - device: sys/database/2
  image:
    registry: "{{.Values.alarm_handler.image.registry}}"
    image: "{{.Values.alarm_handler.image.image}}"
    tag: "{{.Values.alarm_handler.image.tag}}"
    pullPolicy: "{{.Values.alarm_handler.image.pullPolicy}}"
